@import './../../../../styles.scss';

@import "../../../../styles.scss";

.datos-cliente {
  @extend .col-12;
  @extend .col-lg-4;
  border-right: 1px solid whitesmoke;

  &--imagen {
    @extend .img-thumbnail;
    @extend .rounded-circle;
  }

  &--division {
    border-bottom: 1px solid whitesmoke;
    background-color: whitesmoke;
    height: 2px;
    margin: 0.5em 0px 1.5em;

    & span {
      display: block;
      width: 50px;
      height: 2px;
      background-color: #f8991c;
    }
  }

  &--informacion {
    @extend .font-italic;
    @extend .text-black-50;
  }
}

.datos-pago{
  @extend .col-12;
  @extend .col-lg-8;
}

.Tarjeta {
  @extend .card;
  @extend .h-100;
  @extend .shadow-sm;

  &--Cuerpo {
    @extend .card-body;

    &[Borde="primary"] {
      @extend .border-left-primary;
    }

    &[Borde="secondary"] {
      @extend .border-left-secondary;
    }

    &[Borde="danger"] {
      @extend .border-left-danger;
    }

    &[Borde="success"] {
      @extend .border-left-success;
    }

    &-Fila {
      @extend .row;
      @extend .no-gutters;

      &[Alineacion="center"] {
        @extend .align-items-center;
      }
    }
  }

  &--Separador {
    border-bottom: 1px solid #e9ecef;
  }

  &--Texto {
    @extend .text-xs;
    @extend .d-flex;
    @extend .justify-content-between;

    &-Titulo {
      @extend .font-weight-bold;
      @extend .mr-4;

      &[Color="primary"] {
        @extend .text-primary;
      }

      &[Color="secondary"] {
        @extend .text-secondary;
      }

      &[Color="danger"] {
        @extend .text-danger;
      }

      &[Color="success"] {
        @extend .text-success;
      }
    }

    &-Contenido {
      @extend .text-gray-800;
      @extend .text-right;
    }
  }
}

// .divPedido{

//     @extend .form-group;
//     @extend .col-12;
//     @extend .col-lg-3;

//     .TarjetPedido{

//         @extend .card;
//         @extend .border-left-primary;
//         @extend .shadow-sm;
//         @extend .h-100;
//         @extend .py-2;

//         &--Cuerpo{

//             @extend .card-body;

//             &-Contenido{

//                 @extend .row;
//                 @extend .no-gutters;
//                 @extend .align-items-center;

//                 &-Texto{
                    
//                     @extend .col;
//                     @extend .mr-2;

//                     &-Titulo{

//                         @extend .text-xs;
//                         @extend .font-weight-bold;
//                         @extend .text-primary;
//                         @extend .mb-1;

//                     }

//                     &-Subtitulo{

//                         @extend .h4;
//                         @extend .text-xs;
//                         @extend .mb-0;
//                         @extend .font-weight-bold;
//                         @extend .text-gray-800;

//                     }

//                 }

//                 &-Icono{

//                     @extend .col-auto;

//                 }

//             }

//         }

//     }

// }

// .divCliente{

//     @extend .form-group;
//     @extend .col-12;
//     @extend .col-lg-12;
//     // @extend .border-left-primary;

// }

// .ImagenNoDatos{

//     max-width: 512px;

// }
